<template>
  <!-- 1. ho eliminato la dicitura functional dal componente <template functional>  
      2. ho eliminato dal div gli attributi richiesti in vue2 per la creazione di componenti functional
        :style="[data.style, data.staticStyle]"
        v-bind="data.attrs"
        v-on="listeners"-->
  <li class="WaFooterMenuItem">
    <a
      :href="dataHref"
      :target="dataTarget !== '' ? dataTarget : null"
      :rel="dataRel !== '' ? dataRel : null"
      class="navItemFooter"
    >
      <slot />
    </a>
  </li>
</template>
<script>
export default {
  name: 'WaFooterMenuItem',
  props: {
    dataHref: {
      type: String,
      required: true
    },
    dataTarget: {
      type: String,
      default: '_self'
    },
    dataRel: {
      type: String,
      default: ''
    }
  }
};
</script>
<style lang="scss" scoped>
@import "../scss/_variables";

.WaFooterMenuItem {
  font-size: inherit;
}

.navItemFooter {
  color: $color-blue-logo;
  text-decoration: none;
  display: block;
  font-weight: $fh-normal;

  &:active,
  &:hover {
    color: $color-blue-logo;
    text-decoration: underline;
  }
}

.bg-color-blue-logo {
  .navItemFooter {
    color: $color-white;
    text-decoration: none;

    &:active,
    &:hover {
      color: $color-white;
    }
  }
}
</style>